%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%define py_ver      2.2

Summary:	Library providing XML and HTML support
Name:		libxml2 
Version:	2.4.16
Release:	2mdk
License:	MIT
Group: 		System/Libraries
BuildRoot:	%_tmppath/%name-%version-%release-root
URL:		http://www.xmlsoft.org/
Source:		ftp://xmlsoft.org/%{name}-%{version}.tar.bz2

Prereq:		/sbin/install-info
BuildRequires:	zlib-devel readline-devel python-devel >= %{py_ver}

%description
This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.


%package utils
Summary: Utilities to manipulate XML files
Group: System/Libraries
Requires: %{name} >= %{version}

%description utils
This packages contains utils to manipulate XML files.

%package python
Summary: Python bindings for the libxml2 library
Group: Development/Python
Requires: %{name} >= %{version}
Requires: python >= %{py_ver}

%description python
The libxml2-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxml2 library to manipulate XML files.

This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DTDs, either
at parse time or later once the document has been modified.

%package devel
Summary: Libraries, includes, etc. to develop XML and HTML applications
Group: Development/C
Requires: %{name} = %{version}
Requires: zlib-devel

%description devel
Libraries, include files, etc you can use to develop XML applications.
This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.


%prep
%setup -q

%build
%if %buildfor7_2 || %buildfor8_0
# don't try to update libtool on those platform
%define __libtoolize /bin/true
%configure
%else
%configure2_5x
%endif

# parallel compilation is broken
make

%install
rm -rf $RPM_BUILD_ROOT

%if %buildfor7_2 || %buildfor8_0
make DESTDIR=$RPM_BUILD_ROOT install
%else
%makeinstall_std
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog README Copyright TODO 
%doc doc/*.html doc/*.gif
%{_libdir}/lib*.so.*

%files utils
%defattr(-, root, root)
%doc AUTHORS ChangeLog README Copyright TODO 
%{_bindir}/xmlcatalog
%{_bindir}/xmllint
%{_mandir}/man1/xmlcatalog*
%{_mandir}/man1/xmllint*

%files python
%defattr(-, root, root)
%doc AUTHORS ChangeLog README Copyright TODO 
%doc python/TODO
%doc python/libxml2class.txt
%doc python/tests/*.py
%{_libdir}/python%{py_ver}/site-packages/*

%files devel
%defattr(-, root, root)
%doc AUTHORS ChangeLog README Copyright TODO 
%doc doc/html/* 
%{_bindir}/xml2-config
%{_libdir}/*a
%{_libdir}/*.so
%{_libdir}/*.sh
%{_libdir}/pkgconfig/*
%{_mandir}/man1/xml2-config*
%{_mandir}/man4/*
%{_includedir}/*
%{_datadir}/aclocal/*

%changelog
* Tue Mar  5 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.16-2mdk
- s/_py_ver/py_ver/ in BuildRequires, to fix build
- Use %%configure2_5x when not building for 7.2 or 8.0

* Wed Feb 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.16-1mdk
- Release 2.4.16

* Tue Feb 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.15-1mdk
- Release 2.4.15
- Disable parallel compilation, it is broken

* Mon Feb 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.14-1mdk
- Release 2.4.14
- Add python subpackage

* Tue Feb  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.13-3mdk
- Add explicit requires on main package in -utils (Thanks to Camille)

* Wed Jan 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.13-2mdk
- Create -utils package to get xmlcatalog and xmlint without -devel package

* Fri Jan 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.13-1mdk
- Release 2.4.13

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.12-1mdk
- Release 2.4.12
- Fix url

* Mon Nov 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.11-1mdk
- Release 2.4.11
- Move manpage to devel package

* Thu Nov 15 2001 David BAUDENS <baudens@mandrakesoft.com> 2.4.10-3mdk
- Fix build on 7.2 and 8.0

* Thu Nov 15 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.4.10-2mdk
- re-added small libtool script to fix building on mdk ppc 8.0

* Mon Nov 12 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.4.10-1mdk
- release 2.4.10

* Fri Nov  9 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.4.9-2mdk
- removed "provides libxml-devel" which was wrongly added

* Tue Nov  6 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.4.9-1mdk
- release 2.4.9

* Tue Nov  6 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.4.8-1mdk
- release 2.4.8

* Tue Oct 30 2001 Philippe Libat <philippe@mandrakesoft.com> 2.4.7-1mdk
- release 2.4.7

* Tue Oct 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.5-2mdk
- provides libxml-devel
- man-pages describe utilities thus belong to main package not devel one
- minor rpmlint fix

* Tue Oct  9 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.4.5-1mdk
- release 2.4.5

* Fri Aug 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.4.3-1mdk
- release 2.4.3, in sync with libxslt 1.0.3

* Tue Jul 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.4.1-1mdk
- new version

* Wed Jul 11 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.4.0-1mdk
- new stable version needed by libxslt 1.0

* Sun Jul 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.14-1mdk
- Bump out newest and shiniest source.

* Fri Jun 29 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.3.13-1mdk
- new version

* Wed Jun 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.3.12-1mdk
- new version

* Tue Jun 12 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.3.10-1mdk
- new version

* Tue May 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.9-1mdk
- Release 2.3.9

* Thu May 03 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.3.8-1mdk
- new release

* Thu Apr 26 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.3.7-3mdk
- patch to processing-instruction() in xpath (from Daniel Veillard)

* Tue Apr 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.3.7-2mdk
- patch for processing instructions output in html context 
(from author Daniel Veillard)

* Tue Apr 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.3.7-1mdk
- Release 2.3.7

* Mon Apr 09 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.6-1mdk
- Release 2.3.6.

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.4-1mdk
- Release 2.3.4

* Mon Feb 26 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.2-1mdk
- 2.3.2 and integrate patch from Abel Cheung <doglist@linuxhall.org>:
  - Add readline-devel to the buildrequires.
  - Add more documentation.

* Sat Feb 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.1-1mdk
- 2.3.1 hot from the oven.

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.0-2mdk
- Remove conflict with libxml-devel
- Add more doc

* Tue Feb 15 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.0-1mdk
- Release 2.3.0.

* Thu Jan 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.11-1mdk
- Release 2.2.11
- Add missing files
- libxml2-devel now officially conflicts with libxml-devel

* Fri Dec 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2.10-1mdk
- new and shiny source, no need for library  policy for this package.

* Tue Nov 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2.8-1mdk
- bump up the version.

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2.7-1mdk
- new and shiny version.

*  Sun Oct 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2.6-1mdk
- shiny version.


* Sun Oct 15 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2.4-1mdk
- very new and shiny version.

* Sat Aug 26 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.2.2-2mdk
- corrected bug reported by 
  Reinhard Katzmann <reinhard.katzmann@neckar-alb.de> :
  Requires : %{name} = {PACKAGE_VERSION}

* Tue Aug 22 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.2.2-1mdk
- updated to libxml version 2.2.2

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.8.9-3mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.9-2mdk
- rebuild 

* Sat Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.8.9-1mdk
- new version
- big move

* Thu Jul  6 2000 dam's <damien@mandrakesoft.com> 1.8.8-4mdk
- spec cleanup.

* Thu Jul 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.8.8-3mdk
- use some macros

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 1.8.8-2mdk
- moved xml-config to devel package. Thanx to Stefan

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 1.8.8-1mdk
- updated.
- spec cleanup.

* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.8.7-1mdk
- fix release tag

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 1.8.7-1mdk
- release from helix stuffs.

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.8.6-2mdk
- fix group
 
* Sun Feb 20 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.8.6-1mdk
- 1.8.6
  
* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check
- 1.7.3
   
* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.7.1
    
* Thu Jul 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.4.
	  
* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.2.0.    

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
 
* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.0
  
* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5 built against gnome-libs-0.99.8
   
* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5
   
* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- made clean section work again
	 
* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- bumped to 0.99.0 for GNOME freeze
	  
* Sun Oct  4 1998 Daniel Veillard <Daniel.Veillard@w3.org>
- Added xml-config to the package
	   
* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>
- Built release 0.30                                   
